View Issue Details

IDProjectCategoryLast Update
0019174AI War 2[All Projects] Crash/ExceptionOct 3, 2017 12:29 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.401 Ship Batch 6 of 7, And Gimbal Perfoooormance! 
Fixed in Version 
Summary0019174: Capturing Hive Golem causes crash
DescriptionI seeded some golems on the map, but when I captured the Hive Golem I hit an error:
6/13/2017 12:06:15 AM Adding a few random connections at the end
6/13/2017 12:15:23 AM
MISSING LOCALIZATION: AIPChangeReason_EntityClaim

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugg\
ing.cs:line 137
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.Universal.Language.GetValue(System.String ID) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenExternalDefinitionFramework\Language.cs:line 178
   at Arcen.AIW2.Core.AIPChange.GetDescription() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\EnumsGame.cs:line 227
   at Arcen.AIW2.Core.World_AIW2.ChangeAIP(FInt Change, AIPChangeReason Reason, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.AIW2.Core.ArcenSimContext Context) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\
\GameState\World_AIW2.cs:line 697
   at Arcen.AIW2.Core.GameEntity.OnClaim(Arcen.AIW2.Core.ArcenSimContext Context) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\GameEntity\GameEntity.cs:line 2442
   at Arcen.AIW2.Core.WorldSide.DoWorldSideStepLogic(Arcen.AIW2.Core.ArcenSimContext Context) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\WorldSide\WorldSide.cs:line 910
   at Arcen.AIW2.Core.World_AIW2+<DoWorldStepLogic>c__AnonStorey0.<>m__0(Arcen.AIW2.Core.WorldSide side) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 232
   at Arcen.AIW2.Core.World_AIW2.DoForSides(Arcen.AIW2.Core.ProcessorDelegate Processor) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 674
   at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic(Arcen.AIW2.Core.ArcenSimContext Context) in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\GameState\World_AIW2.cs:line 230
   at Arcen.AIW2.Core.SimExecution.Execute() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimExecution\SimExecution.cs:line 27
   at Arcen.AIW2.Core.ArcenSimPlanningContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 80
   at Arcen.AIW2.Core.ArcenExecutionContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 221
TagsNo tags attached.

Activities

BadgerBadger

Jun 18, 2017 11:50 pm

reporter   ~0046292

This seems to affect all golems I've tried

BadgerBadger

Jul 6, 2017 12:18 am

reporter   ~0046373

Still happening on .500. There don't seem to be any bad side effects to this crash, thankfully.

BadgerBadger

Aug 8, 2017 8:31 pm

reporter   ~0046425

Still happening in .507

BadgerBadger

Oct 3, 2017 12:12 pm

reporter   ~0046478

This was fixed in .513:
     Fixed missing-localization error message when claiming a golem or other unit that causes AIP on claim

Issue History

Date Modified Username Field Change
Jun 13, 2017 12:16 am BadgerBadger New Issue
Jun 18, 2017 11:50 pm BadgerBadger Note Added: 0046292
Jun 19, 2017 8:36 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 8:36 pm x4000Bughunter Status new => assigned
Jul 6, 2017 12:18 am BadgerBadger Note Added: 0046373
Aug 8, 2017 8:31 pm BadgerBadger Note Added: 0046425
Oct 3, 2017 12:12 pm BadgerBadger Note Added: 0046478
Oct 3, 2017 12:29 pm x4000Bughunter Status assigned => resolved
Oct 3, 2017 12:29 pm x4000Bughunter Resolution open => fixed